Sign in to follow this  
greggerm

Lev-D 767 and v2.4

Recommended Posts

Hello all,

 

I'm just seeking some confirmation that I'm not the only one experiencing an issue with the LDS767 and P3Dv2.4.  I'm thinking that it is actually a FSUIPC issue as opposed to an issue with the 767 itself, but I'm just looking to see if others are encountering the same.

 

Under FSUIPC 4.936, the 767 loads but the panel only seems to respond to standard flightsim commands. The typical panel sounds, as well as the autopilot controls are inoperative. (One can click the buttons, but they don't actually do anything). Under FSUIPC 4.936c, the 767 actually crashes the sim hard.

 

That said, FSUIPC itself doesn't seem to cause any crashes outside of the 767, as I use it for some button-to-keyboard command mapping with no ill effects.

 

Based on these unscientific findings, I think (*I hope!) I need to be patient and wait for Pete Dowson to get back from vacation and craft a nice, shiny new FSUIPC version aware of v2.4.   I'm wondering if any other pilots of the venerable Level-D 767 have found themselves in the same boat.

 

Thanks,

-Greg

Share this post


Link to post
Help AVSIM continue to serve you!
Please donate today!

"4.936c, the 767 actually crashes the sim hard."

 

In your Windows Event Viewer ... what idsthe NAME of the module that caused the crash?

Share this post


Link to post

Interestingly, it is...

  • Faulting application name: Prepar3D.exe, version: 2.4.11570.0
  • Faulting module name: ntdll.dll, version: 6.1.7601.18247

...without a mention of FSUIPC.

 

Although the LDS767 works just fine under v2.3, and despite getting two different behaviors with the 767 with two different versions of FSUIPC under v2.4 there's no direct indicator it's the issue. That said, this is the first hard crashing I've ever experienced with P3D and the first time I'm trying to run an addon using an "old", non-updated version of FSUIPC.  Naturally, my troubleshooting points me in that direction... but it very well could be any number of other things.

 

I'm hoping it's something as simple as that, but we'll see once Peter returns from his railroad vacation adventures.

Share this post


Link to post

Greg, do you have MyTrafficX v5.4c installed? A lot of people have had the same ntdll.dll crashes you describe in FSX with it. Reverting back to version 5.4b has cured it.

 

Ted 

Share this post


Link to post

Thanks Ted, but unfortunately no. It is a near-virgin installation outside of a few airplanes and FTX Global. I'm stuck in my flight sim A.D.D. phase right now... be patient for a few days and enjoy the fruits of P3D, or just nuke the computer and return to FSX where everything works but it doesn't look and feel as nice.

 

Let's see which devil on my shoulder wins the battle.

Share this post


Link to post

You're welcome. I was hoping it was MytrafficX as that is an easy fix. I don't have the LDS767 and haven't succumbed to the P3D tempation yet so I'm afraid I can't help you.

 

Ted

Share this post


Link to post

I'm bumping this up to see if anyone has had any experience (success or failure) with the Level-D 767 under P3D v2.4 and the freshly released FSUIPC 4.937.

 

Seems like us 767 pilots are few and far between these days, especially out on Prepar3D.

 

-Greg

Share this post


Link to post

Hello all,

 

I'm just seeking some confirmation that I'm not the only one experiencing an issue with the LDS767 and P3Dv2.4.  I'm thinking that it is actually a FSUIPC issue as opposed to an issue with the 767 itself, but I'm just looking to see if others are encountering the same.

 

Under FSUIPC 4.936, the 767 loads but the panel only seems to respond to standard flightsim commands. The typical panel sounds, as well as the autopilot controls are inoperative. (One can click the buttons, but they don't actually do anything). Under FSUIPC 4.936c, the 767 actually crashes the sim hard.

 

That said, FSUIPC itself doesn't seem to cause any crashes outside of the 767, as I use it for some button-to-keyboard command mapping with no ill effects.

 

Based on these unscientific findings, I think (*I hope!) I need to be patient and wait for Pete Dowson to get back from vacation and craft a nice, shiny new FSUIPC version aware of v2.4.   I'm wondering if any other pilots of the venerable Level-D 767 have found themselves in the same boat.

 

Thanks,

-Greg

Greg

 

Would you mind sharing how you installed the LD767 into 2.4. I already had it  installed into FSX but I kept getting a 'panel initialization' error when I tried to run after installing into Prepar3D 2.3. I've just upgraded to P3D2.4 but haven't installed the 767 because of my past problems. For those interested the CLS 767 and QWSIM 757 work fine in P3D

Share this post


Link to post

I use the Estonia Migration Tool's "Virtual FSX" mode to perform the installation. No special tricks or steps other than that. Not that this has anything to do with it, but I don't run parallel simulators, so my installation was into FSX or P3D only at any given time. She worked great under 2.3 and a proper version of FSUIPC, so I am hoping that she'll work great again now that a 2.4-ready version of FSUIPC has been issued.

 

(Note that I've had dastardly trouble with the Level-D under Windows 8.1 on both FSX and P3D, so that's another potential factor)

 

-Greg

Share this post


Link to post

 

 


I already had it installed into FSX but I kept getting a 'panel initialization' error when I tried to run after installing into Prepar3D 2.3.

 

Hey - just to let you know, on my reinstallation tonight I had the same issue. Straight out of the gate I installed P3Dv2.4 and the Level-D 767 along with the new FSUIPC.... instantly got the "Panel Initialization" error you mentioned, which I had never seen before.

 

But, then I installed a few of the legacy SimConnect versions which ships with P3D.  I installed the FSX-SP1 version which I need for FS Economy, and for "kicks and giggles" I installed the one which is marked as being from FSX-SP2-XPack. Jumped back into P3D and tried the Level-D, and voila! She worked great!

 

Now I'm not sure if the updated FSUIPC -or- the FSX-SP2-XPack SimConnect is what made my install of the LevD 767 start working fine in P3D v2.4, but she's working fine.

 

I'd suggest trying the FSX-SP2-XPack SimConnect version first and see if that remedies your issue.

 

The legacy SimConnect files can be found in:

 

X:\Prepar3D \ Redist \ Interface \ (Version Folders) \ retail \ lib \ SimConnect.msi

 

Good luck,

-Greg

Share this post


Link to post

Is there a native installer for P3D 2.4??? I have the 767 for FSX

Share this post


Link to post

"(Note that I've had dastardly trouble with the Level-D under Windows 8.1 on both FSX and P3D,"

 

Is Win8.1 approved/recommended OS for Level-D or P3D?

Share this post


Link to post

hey i'm new to avsim how do a create a topic ,I can' seem to see it here ...

Share this post


Link to post

Is there a native installer for P3D 2.4??? I have the 767 for FSX

No, It's dedicated FSX

Share this post


Link to post

 

 

Is Win8.1 approved/recommended OS for Level-D or P3D?

 

Nope!

 

I only mentioned the Windows versions in the event JustAnotherPilot was running Win8 and experiencing issues, as the OS in that case would be a very likely cause of problems when attempting to use the LevD 767, regardless of the sim platform. Windows 8 is certainly not approved/recommended for the Level-D. Heck - they probably don't lend any credence to using the 767 on Prepar3D either - any version, any OS.

 

As far as P3D and Win8 are concerned, I think they (strongly) recommend Win7 officially, but I recall reading (on the LM forums, from either Beau or Wes) that they had coded in some enhancements for GDI graphics which are only available on the Windows 8 family, so there is at least some semblance of support.

 

JustAnotherPilot, I'm curious to find out if you get it working. Let us know!

 

Cheers,

-Greg

Share this post


Link to post

And how are you guys running the LVL-D 767 on P3D 2.4?

Share this post


Link to post

And how are you guys running the LVL-D 767 on P3D 2.4?

greggerm 

mentioned it a few posts back already.

Share this post


Link to post

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this